# $Revision: 1.25 $, $Date: 2007/12/26 22:14:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Singleton
Summary:	Class::singleton - implementation of a "Singleton" class
Summary(pl.UTF-8):	Class::Singleton - implementacja klasy Singleton
Name:		perl-Class-Singleton
Version:	1.4
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a18b108ab97e2107cbbe816d2b3e2ee3
URL:		http://search.cpan.org/dist/Class-Singleton/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-Class-Sigleton

%description
This is the Class::Singleton module. A Singleton describes an object
class that can have only one instance in any system. An example of
a Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived.
By itself, the Class::Singleton module does very little other than
manage the instantiation of a single object. In deriving a class from
Class::Singleton, your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.

%description -l pl.UTF-8
To jest moduł Class::Singleton. Singleton opisuje obiekt klasy, który
ma tylko jedną instancję w systemie - na przykład serwer wydruków. Ten
moduł implementuje klasę Singleton, z której można dziedziczyć inne
klasy. Sam moduł Class::Singleton robi niewiele więcej niż samo
zarządzanie pojedynczą instancją obiektu. Poprzez dziedziczenie z
klasy z Class:Singleton, moduły odziedziczą istnienie pojedynczej
instancji w systemie, a dodatkowo mogą mieć zaimplementowaną właściwą
funkcjonalność.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Singleton.spec,v $
Revision 1.25  2007/12/26 22:14:38  qboosh
- fixed Source0 URL

Revision 1.24  2007-12-26 21:47:18  zbyniu
- up to 1.4; generic URL

Revision 1.23  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.21  2004/11/03 22:30:10  paladine
- formatting

Revision 1.20  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.19  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 15:55:56  ankry
- tests added

Revision 1.17  2004/04/18 17:24:15  ankry
- summary, description and license fixes

Revision 1.16  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:28:11  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/08/18 11:57:08  blues
license fix

Revision 1.7  2002/05/22 08:40:03  qboosh
- new %%doc

Revision 1.6  2002/05/22 08:39:07  qboosh
- fixed typo in Name, added Obsoletes: for old, wrong name

Revision 1.5  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/04/11 13:08:08  qboosh
- descriptions

Revision 1.3  2002/04/11 11:49:24  marcus
- s/CHANGES/Changes

Revision 1.2  2002/04/11 11:45:56  marcus
- fixed %%files

Revision 1.1  2002/04/11 10:46:14  marcus
- initial spec, need fixing!!!
